Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class PrintDocTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.PrintDocTag

public class PrintDocTag
extends BaseTag

Tag extension to inline the bytes of a Document into the page context's output.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `baseHref` The BASE HREF to use.
`protected int` | `blockSize` The block size to read the data in.
`protected Document` | `doc` The document object to use.
`protected java.lang.String` | `encodeType` The encode type.
`protected int` | `endIndex` The index at which we should stop reading.
`protected int` | `startIndex` The index at which we should start reading.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`PrintDocTag()`

Method Summary
`int` | `doStartTag()` Called when the tag starts.
`java.lang.String` | `encode(java.lang.String in)` Encode a string with the current encode type.
`java.lang.String` | `getBaseHref()` Get the value of `baseHref`.
`java.lang.String` | `getBlockSize()` Get the value of `blockSize` as a String.
`java.lang.String` | `getEncode()` Get the value of `encodeType`.
`java.lang.String` | `getEnd()` Get the value of `endIndex` as a String.
`java.net.URL` | `getRequestBaseHref(javax.servlet.http.HttpServletRequest request)`
`java.net.URL` | `getServerBaseHref(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `getStart()` Get the value of `startIndex` as a String.
`void` | `print(java.lang.String s)`
`void` | `println(java.lang.String s)`
`void` | `release()` Reset the tag to a default state.
`void` | `setBaseHref(java.lang.String v)` Set the value of `baseHref`.
`void` | `setBlockSize(java.lang.String v)` Set the value of `blockSize`.
`void` | `setDoc(Content doc)` Set the document object to use.
`void` | `setDocument(Content doc)` Set the document object to use.
`void` | `setEncode(java.lang.String v)` Set the value of `encodeType`.
`void` | `setEnd(int endIndex)` Set the value of `endIndex`.
`void` | `setEnd(java.lang.String v)` Set the value of `endIndex`.
`void` | `setStart(int startIndex)` Set the value of `startIndex`.
`void` | `setStart(java.lang.String v)` Set the value of `startIndex`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doc

    protected Document doc

  The document object to use.

### blockSize

    protected int blockSize

  The block size to read the data in.

### startIndex

    protected int startIndex

  The index at which we should start reading.

### endIndex

    protected int endIndex

  The index at which we should stop reading.

### encodeType

    protected java.lang.String encodeType

  The encode type.

  This can be "html" for html-encoding, "url" for url-encoding, or anything else for no encoding.

### baseHref

    protected java.lang.String baseHref

  The BASE HREF to use.

  The content's identifier will be appended automatically to this.

Constructor Detail

### PrintDocTag

    public PrintDocTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag to a default state.

  Overrides:
    release in class BaseTag

### setDocument

    public void setDocument(Content doc)

  Set the document object to use.

### setDoc

    public void setDoc(Content doc)

  Set the document object to use.

### getBlockSize

    public java.lang.String getBlockSize()

  Get the value of `blockSize` as a String.

### setBlockSize

    public void setBlockSize(java.lang.String v)

  Set the value of `blockSize`.

### getStart

    public java.lang.String getStart()

  Get the value of `startIndex` as a String.

### setStart

    public void setStart(java.lang.String v)

  Set the value of `startIndex`.

### setStart

    public void setStart(int startIndex)

  Set the value of `startIndex`.

### getEnd

    public java.lang.String getEnd()

  Get the value of `endIndex` as a String.

### setEnd

    public void setEnd(java.lang.String v)

  Set the value of `endIndex`.

### setEnd

    public void setEnd(int endIndex)

  Set the value of `endIndex`.

### getEncode

    public java.lang.String getEncode()

  Get the value of `encodeType`.

### setEncode

    public void setEncode(java.lang.String v)

  Set the value of `encodeType`.

### getBaseHref

    public java.lang.String getBaseHref()

  Get the value of `baseHref`.

### setBaseHref

    public void setBaseHref(java.lang.String v)

  Set the value of `baseHref`.

### encode

    public java.lang.String encode(java.lang.String in)

  Encode a string with the current encode type.

  See Also:
    `GetPropertyTag.encode(java.lang.String, java.lang.String)`

### print

    public void print(java.lang.String s)

### println

    public void println(java.lang.String s)

### getServerBaseHref

    public java.net.URL getServerBaseHref(javax.servlet.http.HttpServletRequest request)
                                   throws java.net.MalformedURLException

### getRequestBaseHref

    public java.net.URL getRequestBaseHref(javax.servlet.http.HttpServletRequest request)
                                    throws java.net.MalformedURLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved